# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define lib_major 0.12
%define lib_minor 1
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %name -d

%define build_diet 1

Name:    ldetect
Version: %{lib_major}.%{lib_minor}
Release: %mkrel 5
Summary: Light hardware detection tool
Source: %{name}-%{version}.tar.xz
Group: System/Kernel and hardware
URL:	  http://www.mandrivalinux.com
BuildRequires: usbutils
BuildRequires: pciutils-devel
BuildRequires: zlib-devel
BuildRequires: kmod-devel
%if %{build_diet}
BuildRequires: dietlibc-devel
%endif
License: GPL

%package -n %{lib_name}
Summary: Light hardware detection library
Requires: ldetect-lst common-licenses
Requires: pciids
# (tv) fix upgrade ordering (libpci3 needs to be updaded from 3.0 to 3.1 before ldetect is upgraded):
# (tv) and require a lib w/o double free:
Requires: %{mklibname pci 3} >= 3.1.4-3mdv2010.0
Group: System/Libraries

%package -n %develname
Summary: Development package for ldetect
Requires: %{lib_name} = %{version}
Provides: ldetect-devel = %version, libldetect-devel = %version
Group: Development/C

%description
The hardware device lists provided by this package are used as a lookup 
table to get hardware auto-detection.

%description -n %develname
see %name

%description -n %{lib_name}
see %name

%prep
%setup -q

%build
%if %{build_diet}
%make CFLAGS="-Os -D_BSD_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE" CC="diet gcc" libldetect.a
cp libldetect.a libldetect-diet.a
make clean
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%if %{build_diet}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}
install libldetect-diet.a $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS
%_bindir/*

%files -n %{lib_name}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_includedir/*
%_libdir/*.a
%if %{build_diet}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif
%_libdir/*.so






%changelog

* Mon Mar 19 2012 tmb <tmb> 0.12.1-5.mga2
+ Revision: 224461
- rebuild with new kmod

* Sat Mar 03 2012 tmb <tmb> 0.12.1-4.mga2
+ Revision: 217221
- rebuild for new kmod

* Mon Feb 27 2012 tv <tv> 0.12.1-3.mga2
+ Revision: 215503
- rebuild with latest dietlibc

* Sat Feb 18 2012 tv <tv> 0.12.1-2.mga2
+ Revision: 210472
- rebuild for new kmod

* Thu Jan 19 2012 tv <tv> 0.12.1-1.mga2
+ Revision: 198077
- do not ignore /etc/modprobe.d/*
- fix reading freed memory

* Fri Jan 13 2012 tv <tv> 0.12.0-1.mga2
+ Revision: 195782
- switch from libmodprobe to new libkmod

* Mon Jan 09 2012 tv <tv> 0.11.6-1.mga2
+ Revision: 194232
- plug last (small) memleaks

* Sun Jan 08 2012 tmb <tmb> 0.11.5-2.mga2
+ Revision: 193220
- rebuild for missing signature

* Sun Jan 08 2012 tv <tv> 0.11.5-1.mga2
+ Revision: 193026
- fix double free
- fix segfaulting when calling usb_probe() more than once

* Fri Jan 06 2012 tv <tv> 0.11.4-3.mga2
+ Revision: 191985
+ rebuild (emptylog)

* Thu Jan 05 2012 tv <tv> 0.11.4-2.mga2
+ Revision: 191943
+ rebuild (emptylog)

* Thu Jan 05 2012 tv <tv> 0.11.4-1.mga2
+ Revision: 191911
- fix building with dietlibc
- plug some memleaks
- sync with names with usbutils-005
  (thus fixing more memleaks)

* Mon Nov 21 2011 tv <tv> 0.11.3-1.mga2
+ Revision: 170596
- make sure to behave properly on errors in libmodprobe (#3309)
- use saner API?\194?\160for quieting libmodprobe
- switch back to dynamically linking against libmodprobe

* Wed Nov 09 2011 tv <tv> 0.11.2-10.mga2
+ Revision: 165867
- rebuild aainst new libpci

* Tue Oct 18 2011 tv <tv> 0.11.2-9.mga2
+ Revision: 156342
- switch from bzip2 to xz compressed tarballs
- adapt to new module-init-tools-3.16's API
- add new API for drakx's stage1 in order to find unknown PCI devices
- don't exit(1) on systems without pci (eg: ARM) (rtp)
- link statically with modprobe.so

* Mon Oct 17 2011 tv <tv> 0.11.1-8.mga2
+ Revision: 155889
- rebuild with latest libmodprobe

* Wed Oct 05 2011 tv <tv> 0.11.1-7.mga2
+ Revision: 152025
- use newly libified module-init-tools-3.16

  + fwang <fwang>
    - fix build with latest modprobe
    - rebuild for new modprobe

  + misc <misc>
    - simplify BuildRequires ( and place them one per line for readability )

* Fri May 06 2011 tv <tv> 0.11.1-5.mga1
+ Revision: 95552
- (get_pci_description) new API for drakx's stage1 in order to find unknown PCI devices
- simplify no-pci patch (ARM) by removing inversion bit that is nono
  (see pciutils's lib/init.c:pci_init())

  + rtp <rtp>
    - don't exit on systems without pci bus (for instance on arm).
      [ usb support broken on newer kernel as usbfs is now gone ]

* Mon Jan 17 2011 pterjan <pterjan> 0.11.1-4.mga1
+ Revision: 21402
- Drop plenty of old stuff
- imported package ldetect

